
--/callluafunc </F>User_PlayPlot</N>9


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(80,91)
CppScriptMgr:SetLightScreen(1500);
	local player1 = CppScriptMgr:AddSimplePlayer(1058527,70,83,'Kosuke',4003000071,1)
	local player2 = CppScriptMgr:AddSimplePlayer(1058524,73,90,'',4003000072,1)
	local player3 = CppScriptMgr:AddSimplePlayer(1058522,77,85,'',4003000073,1)

	local enemy1 = CppScriptMgr:AddSimplePlayer(1062185,49,45,'',4003000074,1)
	local enemy2 = CppScriptMgr:AddSimplePlayer(1062187,48,40,'',4003000075,1)
	--4方向
	local enemy3 = CppScriptMgr:AddSimplePlayer(1062181,54,40,'',4003000076,1)
	--0方向的
	local enemy4 = CppScriptMgr:AddSimplePlayer(1062183,54,46,'',4003000077,1)

	CppScriptMgr:SetLightScreen(1500);
	CppScriptMgr:WaitMilSec(2000)
	player1:Say("Look, they are over there! Let`s take them by surprise!",2000)
	CppScriptMgr:WaitMilSec(2000)
	enemy1:SetAction(260)
	enemy2:SetAction(250)
	enemy3:SetAction(250)
	enemy4:SetAction(250)
	CppScriptMgr:SetViewPosByCell(51,42)	
	CppScriptMgr:WaitMilSec(1000)
	CppScriptMgr:SetViewPosByCell(80,91)
	player2:Say("Are you sure? We were just told to do some investigations.",2000)
	CppScriptMgr:WaitMilSec(2000)
	player1:Say("They would have escaped before we report this. Now or never.",2000)
	CppScriptMgr:WaitMilSec(4000)
	player2:Say("But...",2000)
	CppScriptMgr:WaitMilSec(1000)
	player1:SetLook(58537)
	player1:SetAction(160)
	player1:Say("Don`t be so fussy! Master Ninja doesn`t know the situation here. We can`t miss the boat!",2000)
	CppScriptMgr:WaitMilSec(2000)
	player1:SetLook(58527)
	player2:Say("Yes.",2000)
	CppScriptMgr:WaitMilSec(2000)
	player1:Say("3, 2, 1, go!",2000)
	player1:SetLook(58524)
	player2:SetLook(58524)
	player3:SetLook(58524)
	CppScriptMgr:WaitMilSec(2000)
	player1:JumpTo(72,54)
	player2:JumpTo(72,54)
	player3:JumpTo(72,54)
	CppScriptMgr:SetDarkScreen(1500);
	CppScriptMgr:WaitMilSec(1500)
------------------------------------------------------------


